## mpc123 0.1.9+tla20060120

=== Makefile ===
#!/usr/bin/make -f

# mpc123 - Musepack Console audio player
# Copyright (C) 2005 Fernando Vezzosi <fvezzosi at masobit.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

CC := $(shell which colorgcc || which cc)

TAGSPRG := ctags

CFLAGS += -Wall
LDFLAGS += -lao -lmpcdec

# in case of DEBUG, we shall add these flags
ifneq ($(DEBUG), )
	CPPFLAGS += -DDEBUG=$(DEBUG)
	CFLAGS += -ggdb
	LDFLAGS += -rdynamic
else
	CFLAGS += -O2
endif

# guess patchlevel by the latest ChangeLog entry
TARGET := mpc123
MAJOR  := 0
MINOR  := 1
PATCH  := $(shell v=`awk 'BEGIN{FS="-"}/patch-([0-9]+)$$/{print $$NF;exit}' \
	< ChangeLog` ; \
	sed -rie 's/VERS_REV\s+[0-9]+$$/VERS_REV\t'$$v'/' mpc123.h; \
	echo $$v)

# very rudimentary dependency checking
DEPS := $(patsubst %.c, %.o, $(filter-out $(TARGET).c, $(wildcard *.c)))

# exclude gnuarch files, precious files and .dotfiles
TAR_EXCLUDED += \\{arch} .arch-ids $(wildcard ++*) $(wildcard .?*)

$(TARGET): $(DEPS) $(TARGET).c
	@echo Building mpc123 version $(MAJOR).$(MINOR).$(PATCH) ...
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(DEPS) $(TARGET).c

.PHONY: clean tarball

clean:
	$(RM) tags $(DEPS) $(TARGET)

tags: $(wildcard *.[ch])
	$(TAGSPRG) -R --exclude=\{arch} ./

tarball: clean
	cd ../ &&\
	tar zcf ./mpc123-$$(date "+%Y%m%d").tar.gz $(foreach f, ${TAR_EXCLUDED}, --exclude=${f}) $${OLDPWD##*/}

## mpc123 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # mpc123 - Musepack Console audio player
-# Copyright (C) 2005 Fernando Vezzosi <fvezzosi at masobit.net>
+# Copyright (C) 2005, 2006 Fernando Vezzosi <fvezzosi at masobit.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,18 +29,18 @@
 	CPPFLAGS += -DDEBUG=$(DEBUG)
 	CFLAGS += -ggdb
 	LDFLAGS += -rdynamic
+#	LDFLAGS += -lefence
+#	LDFLAGS += -lmudflap
 else
 	CFLAGS += -O2
 endif
 
-# guess patchlevel by the latest ChangeLog entry
 TARGET := mpc123
 MAJOR  := 0
-MINOR  := 1
-PATCH  := $(shell v=`awk 'BEGIN{FS="-"}/patch-([0-9]+)$$/{print $$NF;exit}' \
-	< ChangeLog` ; \
-	sed -rie 's/VERS_REV\s+[0-9]+$$/VERS_REV\t'$$v'/' mpc123.h; \
-	echo $$v)
+MINOR  := 2
+
+#POS := $(wildcard LOCALES/*/LC_MESSAGES/*.po)
+#MOS := $(POS:%.po=%.mo)
 
 # very rudimentary dependency checking
 DEPS := $(patsubst %.c, %.o, $(filter-out $(TARGET).c, $(wildcard *.c)))
@@ -49,13 +49,13 @@
 TAR_EXCLUDED += \\{arch} .arch-ids $(wildcard ++*) $(wildcard .?*)
 
 $(TARGET): $(DEPS) $(TARGET).c
-	@echo Building mpc123 version $(MAJOR).$(MINOR).$(PATCH) ...
+	@echo Building mpc123 version $(MAJOR).$(MINOR) ...
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(DEPS) $(TARGET).c
 
 .PHONY: clean tarball
 
 clean:
-	$(RM) tags $(DEPS) $(TARGET)
+	$(RM) tags $(DEPS) $(TARGET) $(MOS)
 
 tags: $(wildcard *.[ch])
 	$(TAGSPRG) -R --exclude=\{arch} ./
@@ -63,3 +63,6 @@
 tarball: clean
 	cd ../ &&\
 	tar zcf ./mpc123-$$(date "+%Y%m%d").tar.gz $(foreach f, ${TAR_EXCLUDED}, --exclude=${f}) $${OLDPWD##*/}
+
+#$(MOS): $(POS)
+#	$(foreach po, $(POS), msgfmt $(po) -o $(po:%.po=%.mo);)

## mpc123 0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # mpc123 - Musepack Console audio player
-# Copyright (C) 2005, 2006 Fernando Vezzosi <fvezzosi at masobit.net>
+# Copyright (C) 2005-2007 Fernando Vezzosi <fvezzosi at masobit.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

## mpc123 0.2.4

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 MAJOR  := 0
 MINOR  := 2
 
-#POS := $(wildcard LOCALES/*/LC_MESSAGES/*.po)
-#MOS := $(POS:%.po=%.mo)
+POS := $(wildcard LOCALES/*/LC_MESSAGES/*.po)
+MOS := $(POS:%.po=%.mo)
 
 # very rudimentary dependency checking
 DEPS := $(patsubst %.c, %.o, $(filter-out $(TARGET).c, $(wildcard *.c)))
@@ -48,7 +48,7 @@
 # exclude gnuarch files, precious files and .dotfiles
 TAR_EXCLUDED += \\{arch} .arch-ids $(wildcard ++*) $(wildcard .?*)
 
-$(TARGET): $(DEPS) $(TARGET).c
+$(TARGET): $(DEPS) $(TARGET).c $(MOS)
 	@echo Building mpc123 version $(MAJOR).$(MINOR) ...
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(DEPS) $(TARGET).c
 
@@ -64,5 +64,5 @@
 	cd ../ &&\
 	tar zcf ./mpc123-$$(date "+%Y%m%d").tar.gz $(foreach f, ${TAR_EXCLUDED}, --exclude=${f}) $${OLDPWD##*/}
 
-#$(MOS): $(POS)
-#	$(foreach po, $(POS), msgfmt $(po) -o $(po:%.po=%.mo);)
+$(MOS): $(POS)
+	$(foreach po, $(POS), msgfmt $(po) -o $(po:%.po=%.mo);)

=== debian/changelog ===
mpc123 (0.2.4-7) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix
    a FTBFS with GCC-10. (Closes: #957562)
  * debian/tests/control: set all CI tests as superficial.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Jul 2020 14:58:02 -0300

mpc123 (0.2.4-6) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Mar 2020 18:00:55 -0300

mpc123 (0.2.4-5) unstable; urgency=medium

  * QA upload.
  * New upstream homepage.
  * Migrated DH level to 10.
  * debian/control: bumped Standards-Version to 4.0.0.
  * debian/copyright:
      - Updated information about packaging.
      - Updated information about upstream.
      - Updated the GPL license text.
  * debian/dirs: removed. This file is useless because debian/install already
    create all needed directories.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
  * debian/watch:
      - Bumped to version 4.
      - Using a fake site to explain about the current status of the original
        upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Aug 2017 16:41:38 -0300

mpc123 (0.2.4-4) unstable; urgency=medium

  * QA upload.

  [ Reiner Herrmann ]
  * Bump Standards-Version to 3.9.7.
  * Added patch for reproducible building.

  [ Mattia Rizzolo ]
  * Run wrap-and-sort.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 15 Mar 2016 20:16:22 +0100

mpc123 (0.2.4-3) unstable; urgency=low

  * QA upload.
  * Makefile: rearrange linker order to fix new DSO linking FTBFS (thanks,
    Alex Chiang and Oussama Bounaim; LP: #770862).
  * Zero ao_sample_format structure to cope with libao 1.0.0 (closes:
    #591396; LP: #710268).

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 May 2013 18:24:50 +0100

mpc123 (0.2.4-2) unstable; urgency=low

  * QA upload.
  * debian/control, debian/compat
    - Set maintainer to QA group
    - Update Standards-Version to 3.9.3 (no other changes)
    - Bump debhelper compatibility level to 9
    - Add Homepage field
    - Improve descriptions a bit
  * debian/source/format, debian/patches/*
    - Switch to source package format '3.0 (quilt)'
    - Add current source changes as single patch
    - New patch to fix manpage hyphens and typo (thanks lintian!)
  * debian/rules, debian/dirs, debian/install, debian/manpages
    - Switch to debhelper sequencer
  * debian/watch
    - Added watch file
  * debian/copyright
    - Updated to Copyright Format 1.0

 -- Ricardo Mones <mones@debian.org>  Wed, 16 May 2012 01:22:21 +0200

mpc123 (0.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream commit c7cdcc0; port to libmpcdec6 API (Closes:
    #552829).
  * debian/control (Build-Depends): Require libmpcdec-dev >= 2:0.1~r435.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 24 Feb 2010 19:04:16 +0200

mpc123 (0.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #459317)
    + bug fixes
    + added i18n support (it)
  * Bump Standards-Version to 3.7.3

 -- Daniele Sempione <scrows@oziosi.org>  Fri, 21 Mar 2008 23:45:34 +0100

mpc123 (0.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #425702)
  * debian/rules doesn't suppress Makefile errors anymore;
    it doesn't cause errors for ``clean''ing

 -- Daniele Sempione <scrows@oziosi.org>  Fri, 16 Nov 2007 23:23:27 +0100

mpc123 (0.2.1-1) unstable; urgency=high

  * New upstream release (Closes: #379996)
    + bug fixes
    + support for track skipping by SIGINT
    + better support for various sound systems
    + temporarily removed alsa not-working driver (use alsa09)

 -- Daniele Sempione <scrows@oziosi.org>  Sun,  3 Sep 2006 18:06:11 +0200

mpc123 (0.1.9+tla20060120-1) unstable; urgency=high

  * Update to Arch 2006-01-20 to fix the bug:
    + unavailable output device -> infinite loop
  * This release adds support for ESD
  * Upgraded to Standards-Version 3.7.2

 -- Daniele Sempione <scrows@oziosi.org>  Sat,  3 Jun 2006 22:09:03 +0200

mpc123 (0.1.9-1) unstable; urgency=low

  * Initial release Closes: #347832

 -- Daniele Sempione <scrows@oziosi.org>  Fri,  6 Jan 2006 11:39:37 +0100

=== debian/control ===
Source: mpc123
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               libao-dev,
               libmpcdec-dev (>= 2:0.1~r435)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/bucciarati/mpc123
Vcs-Browser: https://salsa.debian.org/debian/mpc123
Vcs-Git: https://salsa.debian.org/debian/mpc123.git

Package: mpc123
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line Musepack audio player
 mpc123 is a command-line player for the Musepack audio compression
 format (MPC).
 .
 MPC is a lossy compression format like MP3 or Ogg Vorbis. It is
 based on the MPEG-1 Layer-2 / MP2 algorithms, but has been vastly
 improved.
 .
 Ability to play remote files is not implemented.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Workaround for #957562
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@

=== debian/tests/control ===
Test-Command: mpc123 -h 2>&1 | grep Usage
Restrictions: superficial

Test-Command: mpc123 -V
Restrictions: allow-stderr, superficial
